Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.codecs
Class DefaultHttpResponseParserFactory

    java.lang.Object
      org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory

All Implemented Interfaces:
  NHttpMessageParserFactory<HttpResponse>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultHttpResponseParserFactory

extends Object
implements NHttpMessageParserFactory<HttpResponse>

Default factory for response message parsers.

Since:
  4.3

Field Summary
`static DefaultHttpResponseParserFactory` | `INSTANCE`

Constructor Summary
`DefaultHttpResponseParserFactory()`
`DefaultHttpResponseParserFactory(LineParser lineParser, HttpResponseFactory responseFactory)`

Method Summary
`NHttpMessageParser<HttpResponse>` | `create(SessionInputBuffer buffer, MessageConstraints constraints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultHttpResponseParserFactory INSTANCE

Constructor Detail

### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(LineParser lineParser,
                                            HttpResponseFactory responseFactory)

### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory()

Method Detail

### create

    public NHttpMessageParser<HttpResponse> create(SessionInputBuffer buffer,
                                                   MessageConstraints constraints)

  Specified by:
    `create` in interface `NHttpMessageParserFactory<HttpResponse>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.